Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.olap.model.impl
Class ScalarOlapModel

    java.lang.Object
      com.tonbeller.jpivot.core.ModelSupport
          com.tonbeller.jpivot.olap.model.impl.ScalarOlapModel

All Implemented Interfaces:
  Model, Decorator, OlapModel, Result, Visitable, com.tonbeller.wcf.bookmarks.Bookmarkable

Direct Known Subclasses:
  ProtozoanOlapModel

    public class ScalarOlapModel

extends ModelSupport
implements OlapModel, Result

A ScalarOlapModel is an OlapModel that contains a single cell. It is 1-dimensional with Measures as its only dimension.

Properties:

caption
  Caption of the only measure
result.value
  value of the single cell
result.formattedValue
  formatted value of the single cell

Since:
  21.04.2005
Author:
  av

Nested Class Summary

Nested classes/interfaces inherited from interface com.tonbeller.jpivot.olap.model.OlapModel
`OlapModel.EmptyCubeException, OlapModel.ResultTooLargeException`

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`ScalarOlapModel()`

Method Summary
`void` | `accept(Visitor visitor)`
`Axis[]` | `getAxes()` returns one axis (measures)
`java.lang.String` | `getCaption()` returns the caption of the only measure
`java.util.List` | `getCells()` returns a collection containing a single cell
`Dimension[]` | `getDimensions()`
`java.lang.String` | `getFormattedValue()` returns the formatted value of the single cell
`java.lang.String` | `getID()`
`Member[]` | `getMeasures()`
`Result` | `getResult()` runs the query and returns the result
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`Axis` | `getSlicer()` returns an empty axis
`java.lang.Object` | `getValue()` returns the value of the single cell
`void` | `initialize()` does nothing
`boolean` | `isOverflowOccured()` returns the overflow property
`void` | `setCaption(java.lang.String caption)` sets the caption of the only measure
`void` | `setFormattedValue(java.lang.String formattedValue)` sets the formatted value of the single cell
`void` | `setID(java.lang.String id)` sets an ID string for this model
`void` | `setOverflowOccured(boolean overflowOccured)` sets the overflow property
`void` | `setServletContext(javax.servlet.ServletContext servletContext)` does nothing
`void` | `setValue(java.lang.Object value)` sets the value of the single cell

Methods inherited from class com.tonbeller.jpivot.core.ModelSupport
`addExtension, addModelChangeListener, destroy, fireModelChanged, fireModelChanged, fireStructureChanged, fireStructureChanged, getBookmarkState, getExtension, getExtensions, getLocale, getRootModel, getTopDecorator, removeModelChangeListener, setBookmarkState, setLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.jpivot.olap.model.OlapModel
`destroy`

Methods inherited from interface com.tonbeller.jpivot.core.Model
`addExtension, addModelChangeListener, getExtension, getExtensions, getRootModel, getTopDecorator, removeModelChangeListener, setLocale`

Methods inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`getBookmarkState, setBookmarkState`

Constructor Detail

### ScalarOlapModel

    public ScalarOlapModel()

Method Detail

### getCells

    public java.util.List getCells()

  returns a collection containing a single cell

  Specified by:
    `getCells` in interface `Result`
  Returns:
    the Cells of the result
  See Also:
    `Cell`

### getAxes

    public Axis[] getAxes()

  returns one axis (measures)

  Specified by:
    `getAxes` in interface `Result`

### getSlicer

    public Axis getSlicer()

  returns an empty axis

  Specified by:
    `getSlicer` in interface `Result`

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getFormattedValue

    public java.lang.String getFormattedValue()

  returns the formatted value of the single cell

### setFormattedValue

    public void setFormattedValue(java.lang.String formattedValue)

  sets the formatted value of the single cell

### isOverflowOccured

    public boolean isOverflowOccured()

  returns the overflow property

  Specified by:
    `isOverflowOccured` in interface `Result`
  Returns:
    true, if the result was rolled back due to overflow condition

### setOverflowOccured

    public void setOverflowOccured(boolean overflowOccured)

  sets the overflow property

### getValue

    public java.lang.Object getValue()

  returns the value of the single cell

### setValue

    public void setValue(java.lang.Object value)

  sets the value of the single cell

### setCaption

    public void setCaption(java.lang.String caption)

  sets the caption of the only measure

### getCaption

    public java.lang.String getCaption()

  returns the caption of the only measure

### getResult

    public Result getResult()
                     throws OlapException

  Description copied from interface: `OlapModel`
  runs the query and returns the result

  Specified by:
    `getResult` in interface `OlapModel`
  Throws:
    `OlapException`

### getDimensions

    public Dimension[] getDimensions()

  Specified by:
    `getDimensions` in interface `OlapModel`
  Returns:
    all dimensions of the cube for navigation

### getMeasures

    public Member[] getMeasures()

  Specified by:
    `getMeasures` in interface `OlapModel`
  Returns:
    all measures of the cube for navigation

### initialize

    public void initialize()
                    throws OlapException

  does nothing

  Specified by:
    `initialize` in interface `OlapModel`
  Throws:
    `OlapException`

### setServletContext

    public void setServletContext(javax.servlet.ServletContext servletContext)

  does nothing

  Specified by:
    `setServletContext` in interface `OlapModel`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `OlapModel`
  Returns:
    an ID string for this model

### setID

    public void setID(java.lang.String id)

  Description copied from interface: `OlapModel`
  sets an ID string for this model

  Specified by:
    `setID` in interface `OlapModel`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD